import React, { useState, useEffect } from 'react'
import config from '../local/js/config'
import styled from 'styled-components'
import $ from 'jquery'

// Imports

// Assets

// Styling
const StyledDiv = styled.div`

  height: auto;
  background-color: white;
  border-radius: 1vh;
  box-shadow: 0.1vh 0.1vh 1.3vh 0.3vh #a3a2a4d1;
  padding: 2vh;
  margin-top: 1vh;
  width: 98% !important;
  margin-left: 1%;
  margin-right: 1%;
  display: inline-block;
  

  .imagearea{
    position: relative;
    margin-right: 2vh !important;
    img{
      width: 100%
    }
    .marker{
      transition: all 0.3s;
      overflow: visible;
      position: absolute;
      width: 2vh;
      height: 2vh;
      @media (max-width: 100vh) {
        width: 4vh;
        height: 4vh;
      }
      display:flex;
      color: white;
      border-radius: 50%;
      align-items: center;
      justify-content: center;
      background-color: blue;
      cursor: pointer;
      opacity: 0.3;
    }
    .active{
      opacity: 1;
    }
  }

    
`
// Component
export default function AreaClicavel (props) {
  const [panel, setPanel] = useState(0)
  const { Content, Image } = props

  const setItem = (value) => {
    $('.active').removeClass('pulse active infinite fast animated')
    $('#marker' + (value + 1)).addClass('active pulse infinite fast animated')
    setPanel(value)
  }

  useEffect(() => {
    setItem(0)
    $('.marker').removeClass('fadeInRight')
  }, [])

  return (
  // Content
    <StyledDiv className='grid-row caixa caixa-sombreada-simples'>

      <div className='tamanho4 meio image'>
        <div className='imagearea fadeInLeft animated fast'>
          <img src={Image} />
          {Content.map((btn, index) => (
            <div className='marker fadeInRight animated' id={'marker' + (index + 1)} onClick={() => { setItem(index) }} />
          ))}
        </div>
      </div>
      <div className='tamanho6 meio text fadeInRight animated fast'>
        <p>{Content[panel]}</p>
      </div>

    </StyledDiv>
  )
}
