import React, { useState, useEffect } from 'react'
import config from '../local/js/config'
import styled from 'styled-components'
import $ from 'jquery'
import Modal from './Modal'

// Imports

// Assets

// Styling
const StyledDiv = styled.div`

  margin: auto;
  width: 30%;
  @media (max-width: 100vh) {
    width: 50%;
  }
  position: relative;
  img{
    width: 100%
  }
  .marker{
    transition: all 0.3s;
    overflow: visible;
    position: absolute;
    width: 3vh;
    height: 3vh;
    @media (max-width: 100vh) {
      width: 4vh;
      height: 4vh;
    }
    display:flex;
    color: white;
    border-radius: 50%;
    align-items: center;
    justify-content: center;
    background-color: blue;
    cursor: pointer;
    div{
      width: 100%;
      height: 100%;
      border-radius: 50%;
    }
  }
    
`
// Component
export default function AreaClicavelModal (props) {
  const [panel, setPanel] = useState(0)
  const { Content, Image } = props

  return (
  // Content
    <StyledDiv className='AreaCLicavelModal'>
      <img className='mc' src={Image} />
      {Content.map((modal, index) => (
        [<div className={'marker modal-btn mc fadeInRight fast animated ' + (index === 0 ? '' : 'delay-' + index) + 's'} id={'marker' + (index + 1)} data-modal-selector={'#modal' + index}><div className='pulse mc active infinite fast animated' id={'marker' + (index + 1)} /></div>,
          <Modal ModalTitle={modal.title} ModalContent={modal.text} Id={index} sizeP={((2.3 / 100) * ((95 / 100) * $(window).height()))} />]
      ))}
    </StyledDiv>
  )
}
