import React, { useState, useEffect } from 'react'
import config from '../local/js/config'
import styled from 'styled-components'
import $ from 'jquery'
import Modal from './Modal'
import mark from '../local/media/images/markers_signUnseen.png'

// Imports

// Assets

// Styling
const StyledDiv = styled.div`
  width: 70%;
  margin:auto;
  @media (max-width: 100vh) {
      width: 98%;
  }
  .markers{
    position: relative;
    width: 100%;
  }

  .markers img{
    width: 100%;
  }

  .btnContainer{
    position: absolute;
    width: 5vh;
    height: 5vh;
    @media (max-width: 100vh) {
      width: 5vh;
      height: 5vh;
    }
    overflow: visible;
  }

  .marker{
    position: relative;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    cursor: pointer;
    img{
      width: 100%;
      height: 100%;
    }
  }

  .show{
    display: block;
  }
  .hide, .hiddenBtn{
    display: none;
  }




@-moz-keyframes spinInactive { 100% { -moz-transform: rotate(-90deg); } }
@-webkit-keyframes spinInactive { 100% { -webkit-transform: rotate(-90deg); } }
@keyframes spinInactive { 100% { -webkit-transform: rotate(-90deg); transform:rotate(-90deg); } }

@-moz-keyframes spinActive { 100% { -moz-transform: rotate(135deg); } }
@-webkit-keyframes spinActive { 100% { -webkit-transform: rotate(135deg); } }
@keyframes spinActive { 100% { -webkit-transform: rotate(135deg); transform:rotate(135deg); } }

  .marker.active{
    -webkit-animation:spinActive 0.3s ease;
      -moz-animation:spinActive 0.3s ease;
    animation:spinActive 0.3s ease ;

  }

  .marker.inactive{
    -webkit-animation:spinInactive 0.3s ease;
      -moz-animation:spinInactive 0.3s ease;
    animation:spinInactive 0.3s ease ;
  }

.marker.active{
  -webkit-animation-fill-mode: forwards; /* Chrome 16+, Safari 4+ */
  -moz-animation-fill-mode: forwards;    /* FF 5+ */
  -o-animation-fill-mode: forwards;      /* Not implemented yet */
  -ms-animation-fill-mode: forwards;     /* IE 10+ */
  animation-fill-mode: forwards;         /* When the spec is finished */
}

.marker.inactive{
  -webkit-animation-fill-mode: forwards; /* Chrome 16+, Safari 4+ */
  -moz-animation-fill-mode: forwards;    /* FF 5+ */
  -o-animation-fill-mode: forwards;      /* Not implemented yet */
  -ms-animation-fill-mode: forwards;     /* IE 10+ */
  animation-fill-mode: forwards;         /* When the spec is finished */
}


.markerText:after {
    position: absolute;
    content: '';
    left: 0;
    top: 50%;
    width: 0;
    height: 0;
    border: 10px solid transparent;
    border-right-color: #ffffff;
    border-left: 0;
    margin-top: -10px;
    margin-left: -10px;
}

.markerText{
    position: absolute;
    z-index: 3;
    max-width: 30vh;
    min-height: 20px;
    padding: 10px;
    background: #ffffff;
    border-radius: .4em;
    p{
      text-align: left;
      margin-bottom: 0 !important;
    }
    @media (min-width: 100.01vh) {
      max-width: 35vh;
    }
}
    
`
// Component
export default function RodaGiratoria (props) {
  const [item, setItem] = useState({})
  const { Image, Content } = props

  const makeVisible = (index) => {
    if (item[index]) return checkSize(index)
    const id = index + 1
    const text = '#markerText' + id
    const marker = '#marker' + id
    $(text).css('left', $(marker).position().left + $(marker).width() + 10)
    $(text).css('top', $(marker).position().top - ($(text).height() + 20 - $(marker).height()) / 2)

    return checkSize(index)
  }

  const checkSize = (index) => {
    if ($(window).width() < config.MobileBreakpoint) $('#hiddenBtn' + index).trigger('click')
    else if (item[index]) setItem({ ...item, [index]: false })
    else setItem({ ...item, [index]: true })
  }
  return (
  // Content
    <StyledDiv>
      <div class='markers'>
        <img src={Image} />
        {Content.map((text, index) => (
          [
            <div className='btnContainer animated pulse infinite fast' id={'marker' + (index + 1)}><div className={item[index] ? 'marker unseen active' : 'marker unseen inactive'} id={'mk' + (index + 1)} onClick={() => { makeVisible(index) }}><img src={mark} /></div></div>,
            <div className={item[index] ? 'markerText show' : 'markerText hide'} id={'markerText' + (index + 1)}><p>{text}</p></div>,
            <div className='modal-btn mc hiddenBtn' id={'hiddenBtn' + index} data-modal-selector={'#modal' + index} />,
            <Modal ModalTitle='' ModalContent={text} Id={index} sizeP={((2.3 / 100) * ((95 / 100) * $(window).height()))} />
          ]
        ))}
      </div>
    </StyledDiv>
  )
}
