import React from 'react'
import styled from 'styled-components'

import config from '../local/js/config'
import $ from 'jquery'

// Imports

// Assets

// Styling
const StyledDiv = styled.div`
    .botao-animado {
      overflow: hidden;
      word-spacing: normal;
      border-radius: 0.4vh;
      box-shadow: 0.1vh 0.1vh 0.2vh #a0a0a0;
      color: #FFF;
      background-color: ${config.SecondaryColor};
      position: relative;
      -webkit-transition: border-color 0.3s, background-color 0.3s;
      transition: border-color 0.3s, background-color 0.3s;
      -webkit-transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
      transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
      cursor: pointer;
      padding: 0.5vh;
      &:hover{
        background-color: ${config.PrimaryColor};
      }
    }
    .botao-animado.active{
      background-color: ${config.PrimaryColor};
    }
    .botao-animado > span {
        display: block;
        text-align: center;
        font-size: calc(1.3vh + 1vw);
        @media only all and (min-width: 100.01vh ) {
            font-size: calc(0.9vh + 0.6vw);
        }
        padding: 10px 0 10px 3px;
    }
    
`

// Component
class BtnAnimado extends React.Component {
  // Constructor
  constructor (props) {
    super(props)
    this.state = {
      // Acess this.props
      content: this.props.content,
      active: this.props.active
    }
  }

  // Scripts
  clickEvent () {
    if (this.props.onClick) {
      $(document).trigger(this.props.onClick.event, this.props.onClick.params)
    }
  }

  render () {
    return (
    // Content
      <StyledDiv className='btnanimado_div' onClick={() => { this.clickEvent() }}>
        <div id={this.props.id} className={this.state.active ? 'botao-animado active' : 'botao-animado'}> <span>{this.state.content}</span></div>
      </StyledDiv>
    )
  }
}
export default BtnAnimado
