import React from 'react'
import styled from 'styled-components'

// Imports

import config from '../local/js/config'

import $ from 'jquery'

import '../core/css/icomoon.scss'
// Assets

// Styling
const CaixaAbasV = styled.div`
  border: 0.3vh solid ${config.SecondaryColor};
	border-radius: 1vh;
	padding: 2vh !important;
	position: relative;

	height: 20vh;
	background-color: white !important;
  margin-left: 5vh !important;
  @media screen and (min-width: 100.01vh){
    margin-left: 3vh !important;
    .abasv-aba:before{
      font-size: calc(4.5vh);
    }
  }
	
	.num-v{	
		border-top-left-radius: 2vh;
		border-top-right-radius: 2vh;
    height: auto;
    width: auto;
    position: absolute;
    top: 2%;
    left: calc(0px - (3.5vh));
    @media screen and (min-width: 100.01vh){
      left: calc(0px - (2.7vh));
    }
		
    text-align: center;
    align-items: center;
    display: flex;
		cursor: pointer;
		span{
      position: absolute;
      left: 42%;
      top: 25%;
      font-size: calc(2.3vh);
      color: white !important;
      @media screen and (min-width: 100.01vh){
        top: 20%;
        font-size: calc(2vh);
      }
      
		}
	}
	
	.num-active{
		z-index:2;		
		&::before{
			color: ${config.SecondaryColor} !important;
		}
	}
	
	.text-aba-v{
		display: none;
    overflow-y: auto;
    height: 100%;
	}
`

// Component
class CaixaAbasVertical extends React.Component {
  // Constructor
  constructor (props) {
    super(props)
    this.state = {
      AbasContent: this.props.AbasContent
    }
  }

  // Scripts

  // Called when rendered
  componentDidMount () {
    $('#text-aba-v1').fadeIn('fast')

    //
    $('.num-v').each(function () {
      $(this).css('opacity', '0.5')
    })
    $('#num-v-slc1').css('opacity', '1.0')
    //

    var h_caixaV = $('#num-v-slc1').height()
    for (var i = 1; i < $('.num-v').length; i++) {
      $('#num-v-slc' + (i + 1)).css('top', $('#num-v-slc' + (i)).position().top + $('#num-v-slc' + (i)).height() + ((3 / 100) * $(window).height() + ($(window).width() >= $(window).height() ? 10 : 20)))
      h_caixaV += $('#num-v-slc' + (i + 1)).height()
    }
    h_caixaV += ($('.num-v').length - 1)
    $('.caixa-abas-v').css('min-height', h_caixaV)

    $(window).on('resize', function () {
      var h_caixaV = $('#num-v-slc1').height()
      for (var i = 1; i < $('.num-v').length; i++) {
        $('#num-v-slc' + (i + 1)).css('top', $('#num-v-slc' + (i)).position().top + $('#num-v-slc' + (i)).height() - 4)
        h_caixaV += $('#num-v-slc' + (i + 1)).height()
      }
      h_caixaV += ($('.num-v').length - 1)
      $('.caixa-abas-v').css('min-height', h_caixaV)
    })

    $('.num-v').each(function () {
      $(this).addClass('abasv-aba')
    })

    $('.num-v, .aba-circ-v').click(function () {
      if (!$(this).hasClass('num-active')) {
        var id
        if ($(this).hasClass('num-v')) {
          id = $(this).attr('id')[9]
        } else {
          id = $(this).attr('id')[10]
        }

        $('.num-v').each(function () {
          $(this).removeClass('num-active')
          $(this).css('opacity', '0.5')
        })

        $('#num-v-slc' + id).addClass('num-active')
        $('#num-v-slc' + id).css('opacity', '1')

        $('.text-aba-v').each(function () {
          $(this).fadeOut(100)
        })

        $('#text-aba-v' + id).delay(100).fadeIn(100)

        $('.aba-circ-v').each(function () {
          $(this).removeClass('aba-circ-active')
        })

        $('#circ-v-slc' + id).addClass('aba-circ-active')

        // console.log(id);
      }
    })
  }

  render () {
    return (
    // Content
      <div className='grid-row'>
        <CaixaAbasV className='caixa-abas-v'>

          {this.state.AbasContent.map((value, index) => {
            return <div className={'num-v ' + (index == this.state.AbasContent.length - 1 ? 'num-active' : '')} key={'num-v-slc' + index} id={'num-v-slc' + (this.state.AbasContent.length - index)}><span>{this.state.AbasContent.length - index}</span></div>
          })}

          {this.state.AbasContent.map((value, index) => {
            return <div className='text-aba-v' key={'text-aba-v' + index} id={'text-aba-v' + (index + 1)}><p>{value}</p></div>
          })}

        </CaixaAbasV>

        <div className='circ-select'>
          <ul className='abas-circ-v'>
            {this.state.AbasContent.map((value, index) => {
              return <li className={'aba-circ-v ' + (index == 0 ? 'aba-circ-active' : '')} key={'circ-v-slc' + index} id={'circ-v-slc' + (index + 1)} />
            })}
          </ul>
        </div>
      </div>
    )
  }
}
export default CaixaAbasVertical
