import React from 'react'
import styled from 'styled-components'
import $ from 'jquery'
import config from '../local/js/config'
// Imports

// Assets
// new
// Styling
const CaixaDiv = styled.div`
    /*Caixa comparação*/
  .comparacao {
    text-align: center;
    margin-top: 0vh;
  }
  .lado-a, .lado-b {
    display: inline-block;
    position: relative;
    overflow: hidden;
    width: auto;
    max-width: 45%;
    height: 32vh;
    -webkit-transition: left 0.5s;
    -moz-transition: all 0.5s;
    -o-transition: all 0.5s;
    -ms-transition: all 0.5s;
    transition: all 0.5s;
  }
  @media screen and (max-width: 100vh){ 
    .lado-a, .lado-b {    
      max-width: unset;
      width: 49.9%;
      height: 32vh;    
    }
  }

.lado-default {
  position: relative;
  word-spacing: normal;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  cursor: pointer;
  background-color: white;

  -webkit-transition: left 0.5s;
  -moz-transition: all 0.5s;
  -o-transition: all 0.5s;
  -ms-transition: all 0.5s;
  transition: all 0.5s;
}


.lado-default > img {
  width: auto;
  max-width: 100%;
  height: 32vh;
  position: relative;
  @media screen and (max-width: 100vh){ 
    position: absolute;
    transform: translate(-50%, 0);
    -webkit-transform: translate(-50%, 0);
  }
}
.lado-default > p {
  text-align: center;
}
.lado-default > h4 {
  vertical-align: middle;
  position: absolute;
  top: 75%;
  border: 0.2vh solid ${config.SecondaryColor};
  border-radius: 3vh;
  padding: 1vh 2vh;
  color:  ${config.SecondaryColor};
  background-color: white;
  position: absolute;
  left: 50%;
  transform: translate(-50%, 0);
  -webkit-transform: translate(-50%, 0);
  font-size: 2vh
}

.lado-a {
  background-color: #fff;
  box-shadow: 0.2vh 0.2vh 1vh 0vh #8080808c;
}

.lado-b {
  background-color: #fff;
  box-shadow: 0.4vh 0.2vh 1vh 0vh #8080808c;
}

.overlay{
  display: hidden;
}

.lado-desc {
  width: 0;
  height: 0;
  position: absolute;
  overflow: hidden;
  -webkit-transition: all 0.5s ease-in-out;
  -moz-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  -ms-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}
.lado-desc > p {
  padding: 1vh;
}
.comparacao .btn-close {
  display: none;
}
.comparacao .ativado {
  width: 97.9%;
}
.lado-a.ativado > .lado-desc {
  position: absolute;
  word-spacing: normal;
  left: 25%;
  height: 100%;
  width: 75%;
  overflow: auto;
  padding: 1vh;
  background-color: white;
}
.lado-a.ativado, .lado-b.ativado{
  max-width: 100%;
}
.lado-a.ativado > .lado-default {
  width: 25%;
  left: -1%;
  position: relative;
  overflow: hidden;
  img{
    max-width: unset;
    width: auto;
    position: absolute;
    transform: translate(-50%, 0);
    -webkit-transform: translate(-50%, 0);
  }
  .overlay{
    display: inline-block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: black;
    opacity: 0.3;
  }
}
.lado-a.ativado > .btn-close {
  display: inline-block;
  position: absolute;
  left: 10%;
  top: 10%;
  border: 1px solid #fff;
  padding: 2px 5px;
  border-radius: 50%;
  color: #fff;
  line-height: 17px;
  cursor: pointer;
}
.lado-b.ativado > .btn-close {
  display: inline-block;
  position: absolute;
  right: 10%;
  top: 10%;
  border: 1px solid #fff;
  padding: 2px 5px;
  border-radius: 50%;
  color: #fff;
  line-height: 17px;
  cursor: pointer;
}
.lado-b.ativado > .lado-desc {
  position: absolute;
  word-spacing: normal;
  height: 100%;
  width: 75.5%;
  left: 0;
  overflow: auto;
  padding: 1vh;
  background-color: white;
}
.lado-b.ativado > .lado-default {
  width: 25%;
  left: 75%;
  overflow: hidden;
  img{
    max-width: unset;
    width: auto;
    position: absolute;
    transform: translate(-50%, 0);
    -webkit-transform: translate(-50%, 0);
  }
  .overlay{
    display: inline-block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: black;
    opacity: 0.3;
  }
}
.desativado {
  width: 0;
  height: 0;
}
`
// Component
class CaixaComparacao extends React.Component {
  // Constructor
  constructor (props) {
    super(props)
    this.state = {
      // Acess this.props
      Content: this.props.Content
    }
  }

  // Scripts

  // Called when rendered
  componentDidMount () {
    var init = function () {
      var a = $('.lado-a')
      var b = $('.lado-b')
      var title = $('.title')

      $('.btn-close').click(function () {
        a.removeClass('ativado')
        a.removeClass('desativado')
        b.removeClass('ativado')
        b.removeClass('desativado')
      })

      var selected = false

      var setActive = function (element) {
        if (element.parent().hasClass('lado-a')) {
          a.addClass('ativado')
          b.addClass('desativado')
          a.off('click', setActive)
        } else {
          b.off('click', setActive)
          b.addClass('ativado')
          a.addClass('desativado')
        }
        title.fadeOut('fast')
      }

      var setDefault = function () {
        a.removeClass('ativado')
        a.removeClass('desativado')
        b.removeClass('ativado')
        b.removeClass('desativado')
        title.fadeIn('fast')
      }

      var ChangeStatus = function () {
        if (selected) {
          setDefault()
        } else {
          setActive($(this))
        }
        selected = !selected
      }

      a.find('.lado-default').on('click', ChangeStatus)
      b.find('.lado-default').on('click', ChangeStatus)
      $(this).find('.btn-close').on('click', ChangeStatus)
    }
    init()
  }

  render () {
    return (
    // Content
      <div class='grid-row'>
        <CaixaDiv>
          <div className='comparacao'>
            <div className='lado-a'>
              <span className='btn-close'>X</span>
              <div className='lado-desc'>
                <p>{this.state.Content[0].text}</p>
              </div>
              <div className='lado-default'>
                <img id='show' src={this.state.Content[0].src} />
                <h4 className='centro title'>{this.state.Content[0].title}</h4>
                <div className='overlay' />
              </div>
            </div>
            <div className='lado-b'>
              <span className='btn-close'>X</span>
              <div className='lado-desc'>
                <p>{this.state.Content[1].text}</p>
              </div>
              <div className='lado-default'>
                <img src={this.state.Content[1].src} />
                <h4 className='centro title'>{this.state.Content[1].title}</h4>
                <div className='overlay' />
              </div>
            </div>
          </div>
        </CaixaDiv>
      </div>
    )
  }
}
export default CaixaComparacao
