import React, { useState, useEffect } from 'react'

import styled from 'styled-components'
import config from '../local/js/config'
import Btn from './BtnAnimado'
import $ from 'jquery'

// Styling
const StyledDiv = styled.div`
  width: 90%;
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  @media screen and (max-width: 100vh){ 
    width: 98%
  }

  .buttons{
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 2vh;
    .btnDiv{
      width: 25%;
      .btnanimado_div{
        margin-bottom: 1vh;
      }
    }
    .imgDiv{
      margin-left: 5%;
      margin-right: 5%;
      width:50%;
      height: 100%;
      img{
        width: 100%;
        height: 100%;
      }
    }
    @media screen and (max-width: 100vh){ 
      flex-direction: column;
      .btnDiv{
        width: 60%;
      }
      .imgDiv{
        width: 80%;
        margin-bottom: 1vh;
      }
    }
  }
  
  
  .caixa-sombreada-simples{
      height: auto;
      background-color: white;
      border-radius: 1vh;
      box-shadow: 0.1vh 0.1vh 0.3vh 0.3vh #a3a2a4d1;
      padding: 2vh;
      margin: auto;
      margin-top: 1vh;
      margin-bottom: 2vh;
      width: 98%;
      transition: all 0.3s ease;
      p{
        transition: all 0.3s ease;
        margin: 0;
      }
    }
`

export default function MarcacaoImagemConteudo (props) {
  const [item, setItem] = useState(0)
  const { Image, Content } = props
  useEffect(() => {
    $(document).on('destaqueItem', (e, item) => {
      setItem(item)
      $('.botao-animado.active').removeClass('active')
      $('#btn' + item).addClass('active')
    })
  }, [])

  return (
    <StyledDiv>
      <div className='buttons animated fadeInLeft'>
        <div className='btnDiv'>
          <Btn content={Content[0].title} active onClick={{ event: 'destaqueItem', params: [0] }} id='btn0' />
          <Btn content={Content[1].title} onClick={{ event: 'destaqueItem', params: [1] }} id='btn1' />
        </div>
        <div className='imgDiv'><img src={Image} /></div>
        <div className='btnDiv'>
          <Btn content={Content[2].title} onClick={{ event: 'destaqueItem', params: [2] }} id='btn2' />
          <Btn content={Content[3].title} onClick={{ event: 'destaqueItem', params: [3] }} id='btn3' />
        </div>
      </div>
      <div className={'caixa-sombreada-simples animated fadeInRight delay-1s'}>
        <p>{Content[item].text}</p>
      </div>
    </StyledDiv>
  )
}
