import React from 'react'
import styled from 'styled-components'

// Imports

// Assets
import config from '../local/js/config'
import $ from 'jquery'

import Atencao from '../core/svg/Importante'
import Reflita from '../core/svg/Reflita'
import Objetivo from '../core/svg/Objetivo'
import Saibamais from '../core/svg/Saibamais'
import Complementar from '../core/svg/Complementar'
import Agoravoce from '../core/svg/Agoravoce'
import Observacao from '../core/svg/Observacao'

const Icons = {
  importante: <Atencao className='type mc pulse animated infinite' Color1={config.SecondaryColor} Color2={config.PrimaryColor} />,
  reflita: <Reflita className='type mc pulse animated infinite' Color1={config.SecondaryColor} Color2={config.PrimaryColor} />,
  objetivo: <Objetivo className='type mc pulse animated infinite' Color1={config.SecondaryColor} Color2={config.PrimaryColor} />,
  saibamais: <Saibamais className='type mc pulse animated infinite' Color1={config.SecondaryColor} Color2={config.PrimaryColor} />,
  complementar: <Complementar className='type mc pulse animated infinite' Color1={config.SecondaryColor} Color2={config.PrimaryColor} />,
  agoravoce: <Agoravoce className='type mc pulse animated infinite' Color1={config.SecondaryColor} Color2={config.PrimaryColor} />,
  observacao: <Observacao className='type mc pulse animated infinite' Color1={config.SecondaryColor} Color2={config.PrimaryColor} />
}

// Styling
const CaixaDiv = styled.div`
    
    .caixa-icones {
        height: auto;
        background-color: white;
        border: 0.3vh solid ${config.SecondaryColor};
        border-radius: 1vh;
        padding: 3vh 2vh 2vh 2vh;
        margin-top: 1vh;
        position: relative;
    }
    .caixa-icones .texto {
        background: #fff;
        word-spacing: normal;
        font-weight: bold;
        height: auto;        
        font-size: ${props => props.sizeText + 'px'};
        @media (max-width: 100vh) {
          font-size: calc(1.5vh + 1vw) !important;
        }
    }
    .caixa-icones .texto-conjunto {
        background: #fff;
        color: ${config.SecondaryColor};
        word-spacing: normal;
        position: absolute;
        top: -17%;
        left: 6%;
        padding: 5px 10px;
        font-weight: bold;
        height: auto;
        font-size: 1em;
        
        @media screen and (max-width: 100vh){
            width: auto;
            top: -14%;
            left: 8%;
        }
        @media only screen and (min-device-width: 320px) and (max-device-height: 568px) {
            width: auto;
            top: -14%;
            left: 12%;
        }
        
        
    }

    .icone-head{
      display: inline-flex;
      background: #fff;
      word-spacing: normal;
      position: absolute;
     
      left: 6%;
      padding: 1vh 1vh 1vh 1vh;
      font-weight: bold;
      width: auto;
      height: auto;
      font-size: 0.9em;
    } 
    .caixa-icones  svg {
        z-index: 2;
        width: 4.5vh;
        height: 4.5vh;
        background-repeat: no-repeat;
        background-size: contain;
        margin-right: 1vh;
    }
`
// Component
class CaixaIcone extends React.Component {
  // Constructor
  constructor (props) {
    super(props)
    this.state = {
      // Acess this.props
      type: this.props.type,
      title: this.props.title,
      content: this.props.Content
    }
  }

  // Scripts

  // Called when rendered
  componentDidMount () {
    $('.icone-head').css('top', -$('.icone-head').outerHeight() / 2)
    $(window).resize(() => {
      const f_t = ((1 / 100) * ($('.Ebook').width() * 0.95)) + ((1 / 100) * $('.Ebook').height())
      $('.texto').css('font-size', f_t)
      $('.icone-head').css('top', -$('.icone-head').outerHeight() / 2)
    })
  }

  render () {
    return (
    // Content
      <div className='grid-row caixa caixa-icone' >
        <CaixaDiv sizeText={((1 / 100) * ((95 / 100) * $(window).height())) + ((1 / 100) * $(window).height())}>
          <div className='caixa-icones'>
            <div className='icone-head align-items-center justify-content-center' >
              {Icons[this.state.type]}
              <div className='texto'>{this.state.title}</div>
            </div>
            <p>{this.state.content}</p>
          </div>
        </CaixaDiv>
      </div>
    )
  }
}
export default CaixaIcone
