import React from 'react'
import styled from 'styled-components'
import $ from 'jquery'

// Imports
import Modal from './Modal'
import config from '../local/js/config'

// Assets
import Atencao from '../core/svg/Importante'
import Reflita from '../core/svg/Reflita'
import Objetivo from '../core/svg/Objetivo'
import Saibamais from '../core/svg/Saibamais'
import Complementar from '../core/svg/Complementar'
import Agoravoce from '../core/svg/Agoravoce'
import Observacao from '../core/svg/Observacao'

const Icons = {
  importante: <Atencao className='type mc pulse animated infinite' Color1={config.SecondaryColor} Color2={config.PrimaryColor} />,
  reflita: <Reflita className='type mc pulse animated infinite' Color1={config.SecondaryColor} Color2={config.PrimaryColor} />,
  objetivo: <Objetivo className='type mc pulse animated infinite' Color1={config.SecondaryColor} Color2={config.PrimaryColor} />,
  saibamais: <Saibamais className='type mc pulse animated infinite' Color1={config.SecondaryColor} Color2={config.PrimaryColor} />,
  complementar: <Complementar className='type mc pulse animated infinite' Color1={config.SecondaryColor} Color2={config.PrimaryColor} />,
  agoravoce: <Agoravoce className='type mc pulse animated infinite' Color1={config.SecondaryColor} Color2={config.PrimaryColor} />,
  observacao: <Observacao className='type mc pulse animated infinite' Color1={config.SecondaryColor} Color2={config.PrimaryColor} />
}

// Styling
const BtnModalGrid = styled.div`
    .botao{
        display: flex;
        color: #fff;
        background-color: ${config.PrimaryColor};
        padding: 1vh 2vh 1vh 2vh;
        cursor: pointer;
        position: relative;
        border-radius: 1vh;
        min-width: 18vh;
        margin: 0px;
        text-align: left;
        float: right;
        align-items: center;
        justify-content: space-between;
        transition: all 0.25s ease;
        .type{
            width: 4.5vh;
            height: 4.5vh;
            display: inline-block;
            vertical-align: middle;
            background-repeat: no-repeat;
            background-size: contain;
            background-position: center;
            list-style: none;
            margin-right: 1vh
        }

        span.text {
            display: inline-block;
            vertical-align: middle;
            backface-visibility: hidden;    
            -webkit-filter: blur(0);
            font-size: calc(1.3vh + 1vw);
            @media only all and (min-width: 100.01vh ) {
                font-size: calc(1.7vh);
            }
            
            word-spacing: normal;
        }
        &:hover{
          transform: translate(-0.2vh, 0px) scale(1.02);
        }
    }
`

// Component
class ModalBtn extends React.Component {
  constructor (props) {
    super(props)
    this.state = {
      BtnType: this.props.BtnType,
      BtnText: this.props.BtnText,
      ModalTitle: this.props.ModalTitle,
      ModalContent: this.props.ModalContent,
      Id: this.props.Id
    }
  }

  render () {
    return (
    // Botao
      <div class='caixa'>
        <BtnModalGrid className='grid-row direita mc'>
          <div className='modal-btn mc' data-modal-selector={'#modal' + this.state.Id}>
            <div className='botao mc shadow-sm'>
              {Icons[this.state.BtnType]}
              <span className='text mc'>{this.state.BtnText}</span>
            </div>
          </div>
        </BtnModalGrid>

        <Modal ModalTitle={this.state.ModalTitle} ModalContent={this.state.ModalContent} Id={this.state.Id} sizeP={((2.3 / 100) * ((95 / 100) * $(window).height()))} />
      </div>
    )
  }
}
export default ModalBtn
