import React, { useState } from 'react'

import styled from 'styled-components'
import img from '../pages/media/images/pag4_img1.jpg'
import config from '../local/js/config'

// Styling
const StyledDiv = styled.div`
  width: 95%;
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  .selimages{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    margin: auto;
    margin-bottom: 1vh;
    .selimage{
      cursor: pointer;
      float: left;
      width: 24%;
      margin-left: 0.5%;
      margin-right: 0.5%;
      margin-bottom: 1%;
      img{
        width: 100%;
        opacity: 0.6;
        transition: all 0.3s ease;
      }
      .active{
        opacity: 1;
      }
      @media (max-width: 100vh) {
          width: 45%;
          margin-left: 2.5%;
          margin-right: 2.5%;
          margin-bottom: 5%;
      }
    }
    @media (max-width: 100vh) {
      display: inline-block;
      .last{
        float: none;
        margin: auto;
      }
    }
    
  }
  
  .caixa-sombreada-simples{
      height: auto;
      background-color: white;
      border-radius: 1vh;
      box-shadow: 0.1vh 0.1vh 0.3vh 0.3vh #a3a2a4d1;
      padding: 2vh;
      margin-top: 1vh;
      width: 98%;
      transition: all 0.3s ease;
      margin: auto;
      p{
        transition: all 0.3s ease;
        margin: 0;
      }
    }
`

export default function MarcacaoImagemConteudo (props) {
  const [item, setItem] = useState(0)
  const { Content, Images } = props
  const delay = (index) => {
    if (index === 0) return ''
    return 'delay-' + (index) + 's'
  }

  return (
    <StyledDiv>
      <div className='selimages'>
        {Images.map((img, index) => (
          <div className={(index === Images.length - 1 && Images.length % 2 !== 0) ? 'selimage last animated fadeInRight faster ' + delay(index) : 'selimage animated fadeInRight faster ' + delay(index)} >
            <img className={item === index ? 'selimage active' : 'selimage'} src={img} onClick={() => setItem(index)} />
          </div>
        ))}
      </div>
      <div className={'caixa-sombreada-simples animated fadeInRight delay-' + (Images.length) + 's'}>
        <p>{Content[item]}</p>
      </div>
    </StyledDiv>
  )
}
