import React, { useState, useEffect } from 'react'
import { makeStyles } from '@material-ui/core/styles'
import Tooltip from '@material-ui/core/Tooltip'
import config from '../local/js/config'
import $ from 'jquery'

const useStyles = makeStyles({
  root: {

  },
  tooltip: {
    color: 'black',
    backgroundColor: 'lightgray',
    fontSize: 'calc(1.4vh + 0.5vw)',
    borderRadius: '0.6vh',
    padding: '1vh'
  },
  content: {
    color: config.PrimaryColor
  }
})

export default function PositionedTooltips (props) {
  const classes = useStyles(props)
  const [open, setOpen] = useState(false)
  const [block, setBlock] = useState(false)
  useEffect(() => {
    if (props.menu) {
      $(document).on('blockTooltip', (e, block) => {
        setBlock(block)
      })
    }
  })
  return (
    <Tooltip open={open} disableFocusListener enterTouchDelay='50' title={props.Title} classes={{ tooltip: classes.tooltip }} placement={props.Side || 'top'}>
      { <p onMouseEnter={() => setOpen(!block && true)}
        onMouseLeave={() => setOpen(!block && false)}
        onClick={() => setOpen(!block && false)} className={classes.content} style={props.noP ? { display: 'inline-block', margin: 0 } : { display: 'inline-block' }}>{props.Content}</p> }
    </Tooltip>

  )
}
