import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import CaixaColorida from '../components/CaixaColorida'


import img1 from './media/images/pag10_img1.png'
import img2 from './media/images/pag10_img2.png'


// Styling
const StyledDiv = styled.div`
.caixa-colorida .ref{
  color: #fff !important;
}
.tamanho3 {
  width: 20.9%;
}
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Condições de vida e saúde da população brasileira</h2>
        <div className='page'>
          
          <p>O padrão de transição epidemiológica brasileira é singular devido a superposição de doenças e as características da sua pirâmide etária. Isso demanda um grande desafio para o SUS, pois há um descompasso entre essa situação de saúde e o modelo de sistema de saúde disponível para enfrentá-la.</p>
 
          <div className="grid-row centro">
            <div className="tamanho3" >
              <div><img src={img1}/></div>
            </div>
            <div className="tamanho6" >
              <div><img src={img2}/></div>
            </div>
          </div>


          <p><strong>Vantagens da organização do sistema de saúde em RAS<Ref Id="6"/>:</strong></p>
          <ul>
          <li><p>Alcance de melhores resultados em Saúde;</p></li>
          <li><p>Menos internações;</p></li>
          <li><p>Maior satisfação dos usuários;</p></li>
          <li><p>Melhor uso dos recursos;</p></li>
          <li><p>Serviços mais custo-efetivos e de melhor qualidade; e</p></li>
          <li><p>Maior cooperação entre gestores de diferentes serviços.</p></li>
        </ul>


          <CaixaColorida Content={[<p>Um sistema estruturado para responder às condições agudas atende mal as condições crônicas, pois a natureza, o comportamento e a evolução dessas situações de saúde são distintos<Ref Id="2"/>.</p> ]}/>
        
        </div>
      </StyledDiv>
    )
  }
}
export default Page
