import React from 'react'
import styled from 'styled-components'
import CaixaAbasVertical from '../components/CaixaAbasVertical'
import CaixaComparacao from '../components/CaixaComparacao'

import img1 from './media/images/pag11_img1.png'
import img2 from './media/images/pag11_img2.png'

// Styling
const StyledDiv = styled.div`
#marker1{
  left: 12%;
  top: 40%;
  background-color: blue;
}
#marker2{
  left: 20%;
  top: 30%;
  background-color: green;
}
.caixa {
  margin-bottom: 1vh !important;
}
.caixa-abas-v{
  height: 18vh !important;
}
.lado-default > h4 {
  vertical-align: middle;
  position: absolute;
  top: 75%;
  border: none !important;
 
  padding: 0px !important;
}
.referencia > p{
  text-align: center;
  width: 70%;
  margin: auto;
  @media (max-width: 100vh) {
    width: 98%;
  }  
  font-size: 1.7vh !important;
}

`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Condições de vida e saúde da população brasileira</h2>
        <div className='page'>
          
          <p>O SUS ainda precisa superar o modelo de atenção fragmentado. Essa discussão está acontecendo, as mudanças estão em curso, mas ainda há muito o que fazer.</p>
          <div className="grid-row caixa">
          <CaixaAbasVertical AbasContent={['O sistema precisa deixar de atuar na lógica de serviços isolados e verticalmente hierarquizados, e passar a intervir por meio de uma rede horizontalizada e integrada de serviços que se comuniquem continuamente coordenados pela APS.', 'A Atenção Primária, com seu papel de principal porta de entrada do sistema e sua característica de oferta de cuidado ao longo da vida, com ênfase em ações de promoção da saúde e prevenção de doenças, é o locus privilegiado na RAS para o cuidado às doenças crônicas.', 'Na perspectiva de RAS não há um serviço de saúde mais importante do que o outro. Cada um cumpre papel específico com o objetivo de oferecer atenção integral à população. O que os diferencia substancialmente é a densidade tecnológica dos recursos e das estratégias que utilizam.']} />
          </div>
          <p>Veja a seguir a comparação da lógica entre um sistema hierarquizado e outro organizado em redes. Os círculos representam os pontos de atenção (serviços e recursos de saúde):</p>


          <div className="grid-row caixa">
          <CaixaComparacao Content={[
            { src: img1, text: [<p><strong>Sistema Fragmentado e Hierarquizado</strong></p>, <p>No sistema hierarquizado os pontos de atenção não se comunicam, sendo incapazes de oferecer cuidados integrados e contínuos, que são exatamente o tipo de cuidado requerido nas condições crônicas. Estas não têm cura e exigem cuidado contínuo ao longo da vida.</p>] },
            { src: img2, text: [<p><strong>Redes Poliárquicas de Atenção à Saúde</strong></p>, <p>No sistema organizado em RAS os pontos de atenção estão permanentemente comunicados, e a coordenação dessa comunicação é feita pela APS.</p>] }
          ]} />
        </div>
       
              <div className="referencia"><p>I. Imagem adaptada de Mendes, E. V. Desafios do SUS. CONASS. Brasília, 2019.</p></div>
              
          {/* <SelecaoCaixaImagem Images={[img1, img2]} Content={['No sistema hierarquizado os pontos de atenção não se comunicam, sendo incapazes de oferecer cuidados integrados e contínuos, que são exatamente o tipo de cuidado requerido nas condições crônicas. Estas não têm cura e exigem cuidado contínuo ao longo da vida.', 'No sistema organizado em RAS os pontos de atenção estão permanentemente comunicados, e a coordenação dessa comunicação é feita pela APS.']} /> */}
        
        </div>
      </StyledDiv>
    )
  }
}
export default Page
