import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import CaixaSliderTransicao from '../components/CaixaSliderTransicao'
import ListaAnimada from '../components/ListaAnimada'

// Styling
const StyledDiv = styled.div`
.slider-imgs {
 
  margin-bottom: -8px !important;
}
  `

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
      // Page content
      <StyledDiv className='content'>
        <h2>Condições de vida e saúde da população brasileira</h2>
        <div className='page'>
          <p>Dentre as causas de adoecimento e morte, destacam-se a hipertensão arterial e a diabetes como importantes problemas de saúde pública no Brasil por terem ao mesmo tempo as seguintes características<Ref Id="6"/><sup>,</sup><Ref Id="9"/>:</p>

          <ListaAnimada ListContent={['São fator de risco para outras doenças. ', 'Têm alta prevalência (proporção de casos existentes em determinada população e determinado momento temporal). ','Apresentam baixos níveis de controle.']} />
          
          <p>Algumas outras causas de óbito também apresentam elevados registros e relevância no país. Confira na sequência a seguir:</p>

          <CaixaSliderTransicao Content={[{ content: <p>Doença isquêmica do coração e doença cerebrovascular têm sido as principais causas de morte no país desde os anos 1960. A transição para maior prevalência de DCNT ocorreu primeiro em estados do sul e sudeste brasileiro. Isso sinaliza a necessidade de olhar cada território na sua especificidade<Ref Id="8"/>.</p>}, { content: <p>Em 2016, a doença isquêmica do coração foi a maior responsável por anos de vida perdidos, seguida por violência interpessoal; a prevalência de obesidade foi de 17%; e os principais fatores que contribuíram para anos de vida ajustados por incapacidade foram abuso de álcool e drogas, hipertensão arterial e hipertensão arterial associada ao sobrepeso<Ref Id="8"/>.</p>}, { content:<p>Os anos de vida perdidos por morte prematura causada por violência interpessoal subiu de 12,1%, em 1990, para 64% em 2016, sendo mais prevalente em homens. Para mulheres a principal causa de anos perdidos por morte prematura foi a cardiopatia isquêmica<Ref Id="8"/>.</p> }]} />
        
        </div>
      </StyledDiv>
    )
  }
}
export default Page