import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import CaixaAbasHorizontal from '../components/CaixaAbasHorizontal'
import ModalBtn from '../components/ModalBtn'
import pdf from './media/pdf/politica_nacional_alimentacao_nutricao.pdf'


// Styling
const StyledDiv = styled.div`
a:not([href]) {
    color: blue;
    text-decoration: none;
}
#marker1{
  left: 170%;
  top: 11%;
  background-color: blue;
  position:absolut;
}
.modal-btn{
  cursor:pointer;
}
.centro {
  width: 100%;
  margin-left: -14%;
  position:relative;
}
.AreaCLicavelModal > img.mc {
  width: 87vh;
}
.hCuLgs {
  width: 33% !important;
  
}
 `

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
      // Page content
      <StyledDiv className='content'>
        <h2>Condições de vida e saúde da população brasileira</h2>
        <div className='page'>
          <p>A alimentação inadequada é o fator de risco que mais contribui para mortalidade e o segundo fator que mais contribuiu para os anos de vida perdidos no Brasil, tendo impacto maior do que tabaco e álcool.  A alimentação inadequada lidera o ranking dos fatores de risco relacionados à carga global de doenças no mundo<Ref Id="10"/>.</p>
          <p>No Brasil, vivemos uma “emergência” epidêmica de sobrepeso (IMC entre 25 kg/m² e 30,0 kg/m²) e, particularmente, da obesidade como evento de maior visibilidade epidemiológica relacionado com a morbimortalidade<Ref Id="11"/>.</p>

          <CaixaAbasHorizontal AbasContent={[<p>Segundo a Pesquisa Nacional de Saúde (PNS) realizada em 2013, 36,1% da população brasileira adulta (18 anos ou mais) está com excesso de peso e 20,8%, obesa, ou seja, 56,9 % com um IMC igual ou maior do que 25 kg/m². Os dados mostraram ainda que um em cada cinco brasileiros de 18 anos ou mais em 2013 estavam obesos, sendo que o percentual é mais alto entre as mulheres (24,4% contra 16,8% dos homens )<Ref Id="12"/>.</p>, <p>Evidências também comprovam a inatividade física como fator de risco para Doenças Crônicas Não Transmissíveis (DCNT). Os dados da Pesquisa de Vigilância de Fatores de Risco e Proteção para Doenças Crônicas por Inquérito Telefônico (VIGITEL) de 2019 apontaram que 44,8% da população com 18 anos ou mais de idade das capitais brasileiras não atende ao mínimo de atividade física recomendado pela Organização Mundial de Saúde, sendo que as mulheres (52,2%) e os idosos (69,1%) apresentam as maiores prevalências<Ref Id="13"/>.</p>]} />
         
          {/* <ModalBtn BtnType='saibamais' BtnText='PARA SABER MAIS' ModalTitle='Para saber mais' ModalContent={[<p>Para saber mais sobre a organização, promoção e vigilância alimentar e nutricional, acesse a <a href="http://bvsms.saude.gov.br/bvs/publicacoes/politica_nacional_alimentacao_nutricao.pdf" target="_blank">Política Nacional de Alimentação e Nutrição do Ministério da Saúde</a>.</p>]} Id='1' /> */}
          <ModalBtn BtnType='saibamais' BtnText='PARA SABER MAIS' ModalTitle='Para saber mais' ModalContent={[<p>Para saber mais sobre a organização, promoção e vigilância alimentar e nutricional, acesse a <a href={pdf} target="_blank">Política Nacional de Alimentação e Nutrição do Ministério da Saúde</a>.</p>]} Id='1' />
        
        </div>
      </StyledDiv>
    )
  }
}
export default Page
