import React from 'react'
import styled from 'styled-components'
import CaixaContorno from '../components/CaixaContorno';
import $ from 'jquery';
import BtnAnimado from '../components/BtnAnimado';

import img1 from './media/images/pag15_img1.png'



// Styling
const StyledDiv = styled.div`
.tamanho8 {
  width: 99.9% !important;
}
.tamanho7 {
  width: 65vh !important;
}
.tamanho1 {
  margin-left: 4%;
  width: 11.4%;
}
.botao-animado {
border-radius: 50%;
font-size: calc(1.5vh + 1vw);
cursor: pointer;
display:flex;
align-items: center;
justify-content: center;
width: 5.8vh;
height: 5.8vh;
}
img {
  margin-left: 9%;
}
#obj1{
margin-bottom: 10%;
margin-left: 6%;
}
#obj2{
margin-bottom: 10%;
margin-left: 6%;
}
.botao-animado span{
font-weight: bold;
font-size: 1.3rem;
@media (max-width: 900px){
font-size: 1rem;
}
}
.botao-animado:after{
font-weight: bold;
font-size: 1.3rem !important;
@media (max-width: 900px){
font-size: 1rem;
}
`

// Page
class Page extends React.Component {
componentDidMount() {
var
objSelect = $(".objSelect");

var
txtSelect = $(".txtSelect");



function
disableObj(event) {

$(event).css({ "opacity": "0.3" });

}

function
enableObj(event) {

$(event).css({ "opacity": "1" });

disableObj($(objSelect).not(event));

}

function
clearText(event) {

$(txtSelect).not(event).hide();

}

function
showText(event) {

var
data = $(event).attr("data-select");

$(data).show("fade");

clearText($(data));

}



txtSelect.hide();

disableObj(objSelect);

enableObj(objSelect.first());

showText(objSelect.first());

objSelect.click(function () {

showText(this);

enableObj(this);

});

}
render() {
return (
// Page content
          <StyledDiv className='content'>
          <h2>Condições de vida e saúde da população brasileira</h2>
          <div className='page'>
                
             <p>Sobre as condições de vida da população brasileira, veja a seguir alguns indicadores. Verifique nos botões os detalhes do gráfico abaixo:</p>
                    
        
             <div className="grid-row centro">
                <div className="tamanho7" >
              <div><img src={img1}/></div>
            </div>
             <div className="tamanho1" >
             
              <div className="objSelect" id="obj1" data-select="#txt1">
                  <BtnAnimado dataText="1" content="1" />
            </div>
              
              <div className="objSelect" id="obj2" data-select="#txt2">
                  <BtnAnimado dataText="2" content="2" />
            </div>
            </div>
            </div>
  
             
          <div className="tamanho8 cima">
            
          <div className="txtSelect" id="txt1">
                  <CaixaContorno Content={[<p> O gráfico trata da pobreza monetária. O valor de US$ 1,90 diários per capita em Paridade de Poder de Compra (PPC) é atualmente o limite para a definição da pobreza global. PPC é uma unidade de medida criada para comparar diferentes países, com diferentes moedas.</p>]} />
          </div>
          
          <div className="txtSelect" id="txt2">
                  <CaixaContorno Content={[<p>Em 2018 o Maranhão foi a unidade federativa com maior número de pessoas com renda abaixo da linha de pobreza. Santa Catarina, por sua vez, apresentou o menor número de pessoas nessa condição.</p>]} />
          </div>
      
      </div>

</div>
</StyledDiv>
)
}
}
export default Page