import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import $ from 'jquery'
import Modal from '../components/Modal'
import BtnAnimado from '../components/BtnAnimado'

import img1 from "../pages/media/images/pag16_img1.png"
import img2 from "../pages/media/images/pag16_img2.png"
import img3 from "../local/media/images/markers_signUnseen.png"
import img4 from "../local/media/images/markers_signUnseen.png"
import img5 from "../local/media/images/markers_signUnseen.png"
import img6 from "../local/media/images/markers_signUnseen.png"


// Styling
const StyledDiv = styled.div`
    .botao-animado {
      border-radius: 50%;
    font-size: calc(1.5vh + 1vw);
    cursor: pointer;
    display:flex;
    align-items: center;
    justify-content: center;
    width: 5.8vh;
    height: 5.8vh;
    }
    .tamanho10 img {
        width: 100%;
        cursor: pointer;
    }
    #obj1{
        position: relative;
        /* width: 80%; */
    }
    #obj2 {
        position: relative;
        /* width: 80%; */
    }
    #obj3 {
        position: absolute;
        width: 5%;
        top: 27%;
        left: 42%;
    }
    #obj4 {
        position: absolute;
        width: 5%;
        left: 60%;
        top: 37%;
    }
    #obj5 {
        position: absolute;
        width: 5%;
        left: 75%;
        top: 29%;
    }
    #obj6 {
        position: absolute;
        width: 5%;
        top: 24%;
        left: 25%;
    }
    #obj7{
        margin-bottom: 10%;
        margin-left: 6%;
        }
        #obj8{
        margin-bottom: 10%;
        margin-left: 6%;
        }
        .botao-animado span{
        font-weight: bold;
        font-size: 1.3rem;
        @media (max-width: 900px){
        font-size: 1rem;
        }
        }
        .botao-animado:after{
        font-weight: bold;
        font-size: 1.3rem !important;
        @media (max-width: 900px){
        font-size: 1rem;
        }

    }
    .objSelect{
        cursor: pointer;
    }
    .tamanho1 {
      width: 11.4%;
    }
    .animated {
      cursor: poiter;
  }
  .header p{
  border-bottom: 1px solid rgb(255, 255, 255) !important;
  }
`

// Page
class Page extends React.Component {
  componentDidMount(){
    // Animation obj/txt Select
    var objSelect = $(".objSelect");
    var txtSelect = $(".txtSelect");
  
    function disableObj(event) {
      $(event).css({"opacity":"0.5"});
    }
    function enableObj(event) {
      $(event).css({"opacity":"1"});
      disableObj($(objSelect).not(event));
    }
    function clearText(event) {
      $(txtSelect).not(event).hide();
    }
    function showText(event) {
      var data = $(event).attr("data-select");
      $(data).show("fade");
      clearText($(data));
    }
  
    txtSelect.hide();
    disableObj(objSelect);
    enableObj(objSelect.first());
    showText(objSelect.first());
    objSelect.click(function() {
      showText(this);
      enableObj(this);
    });
    }
      render(){
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Condições de vida e saúde da população brasileira</h2>
        <div className='page'>
        <p>Um outro indicador da condição de vida da população brasileira é o rendimento médio dos trabalhadores. Veja nos gráficos a seguir e confira os destaques:</p>

                
                <div className="grid-row centro">
                    <div className="tamanho1" >
                    <div className="objSelect" id="obj7" data-select="#area1">
                            <BtnAnimado dataText="1" content="1" />
                        </div>
                    </div>
                    <div className="tamanho1" >
                    <div className="objSelect" id="obj8" data-select="#area2">
                            <BtnAnimado dataText="2" content="2" />
                        </div>
                    </div>
                </div>
                        
                
                <div className="grid-row centro">
                 <div className="txtSelect" id="area1">
                    <div className="tamanho9">
                        <div  className="tamanho10 centro" id="obj1"><img src={img1}/></div>
                        <div id="obj3"><img src={img3} className="animated pulse infinite modal-btn mc" data-modal-selector="#modal1" data-select="#txt1"/></div>
                        <div id="obj4"><img src={img4} className="animated pulse infinite modal-btn mc" data-modal-selector="#modal2" data-select="#txt2"/></div>
                        <div id="obj5"><img src={img5} className="animated pulse infinite modal-btn mc" data-modal-selector="#modal3" data-select="#txt3"/></div>
                    </div>
                 </div>
                 <div className="txtSelect" id="area2">
                    <div className="tamanho10">
                        <div  className="tamanho9 centro" id="obj1"><img src={img2}/></div>
                        <div id="obj6"><img src={img6} className="animated pulse infinite modal-btn mc" data-modal-selector="#modal4" data-select="#txt4"/></div>
                    </div>
                 </div>
                   
                </div>
                
                <div className="grid-row">
                    <div className="txtSelect" id="txt1">
                         <Modal ModalTitle="" ModalContent={[<p>O gráfico aponta que o rendimento médio dos trabalhadores é de R$ 2.163,00. Porém, quando comparamos os rendimentos de homens e mulheres separadamente, os homens têm um rendimento médio de R$ 2.382,00 e as mulheres de R$ 1.874,00. Quando observamos o mesmo dado por cor da pele, evidencia-se também expressiva desigualdade, sendo que o rendimento médio para pessoas de cor branca foi R$ 2.796,00 e para pessoas de cor preta ou parda foi de R$ 1.608,00<Ref Id="14"/>.</p>]} Id="1" sizeP={((2.3 / 100) * ((95 / 100) * $(window).height()))} />
                    </div>
                    <div className="txtSelect" id="txt2">
                         <Modal ModalTitle="" ModalContent={[<p>Em 2018, a população ocupada de cor ou raça branca recebia um rendimento-hora superior à população preta ou parda independentemente do nível de instrução, sendo essa diferença maior quanto mais elevado o nível de instrução: R$ 32,80 contra R$ 22,70, ou seja, um rendimento 45,0% maior para brancos<Ref Id="14"/>.</p>]} Id="2" sizeP={((2.3 / 100) * ((95 / 100) * $(window).height()))} />
                    </div>
                    <div className="txtSelect" id="txt3">
                         <Modal ModalTitle="" ModalContent={[<p>A pobreza monetária não afeta os grupos populacionais de maneira similar. Por exemplo, em 2018, 42,3% das crianças entre 0 e 14 anos estavam abaixo da linha considerada, enquanto para idosos (60 anos ou mais), esse percentual era de 7,5%. Para pessoas de cor ou raça preta ou parda, o percentual era de 32,9%; ante 15,4% de pessoas de cor ou raça branca<Ref Id="14"/>.</p>]} Id="3" sizeP={((2.3 / 100) * ((95 / 100) * $(window).height()))} />
                    </div>
                    <div className="txtSelect" id="txt4">
                         <Modal ModalTitle="" ModalContent={[<p>A desigualdade de rendimentos também é observada no nível regional, como vemos no gráfico a seguir. O Maranhão é o estado em que os trabalhadores têm o menor rendimento médio (R$ 1.249,00) e o Distrito Federal teve o maior rendimento (R$ 3.749,00)<Ref Id="14"/>.</p>]} Id="4" sizeP={((2.3 / 100) * ((95 / 100) * $(window).height()))} />
                    </div>
                </div>
                
        </div>
      </StyledDiv>
    )
  }
}
export default Page