import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import ModalBtn from '../components/ModalBtn'
import CaixaDestaqueImagem from '../components/CaixaDestaqueImagem'



import img1 from './media/images/pag17_img1.png'


// Styling
const StyledDiv = styled.div`
.tamanho6 {
  width: 88% !important;
}
.tamanho8{
  width: 100%;
}
#destaque-marker1{
  top: 36%;
    left: 11%;
}
#destaque-marker2{
  top: 40%;
  left: 28%;
}
#destaque-marker3{
  top: 30%;
  left: 48%; 
}
#destaque-marker4{
  top: 36%;
  left: 64%; 
}
#destaque-marker5{
  top: 31%;
  left: 81%;
}
.caixa-destaque-imagem {
 
  width: 93% !important;
  padding-top: 0vh !important;
}
  `

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
      // Page content
      <StyledDiv className='content'>
        <h2>Condições de vida e saúde da população brasileira</h2>
        <div className='page'>
          <p>Acerca das condições de moradia, o gráfico a seguir demonstra que a maioria das pessoas que vive em condições de moradia inadequadas vive abaixo da linha de pobreza<Ref Id="14"/>.</p>
          
          {/* <div className="grid-row centro">
            <div className="tamanho8 meio">
                
                <iframe src="https://view.genial.ly/5f4fddbedd8d5e0d2bfeb1fa" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen="" width="100%" height="570" frameborder="0"></iframe>
                
            </div>
          </div> */}
        
           <div className="tamanho10" >
          <CaixaDestaqueImagem Content={['Do total da população brasileira, 2,8% não dispõe de banheiro no domicílio.', '1,1% da população vive em domicílio com paredes construídas com matérias não duráveis, como taipa-revestida.','5,6% da população vive em domicílios com mais de três moradores por cômodo utilizado como dormitório.','4,8% da população gasta 30% ou mais dos rendimentos familiares com aluguel.','12,8% vive em domicílios com pelo menos uma das inadequações pesquisadas.']} src={img1} />
          </div>

          <ModalBtn BtnType='complementar' BtnText='LEITURA COMPLEMENTAR' ModalTitle='Leitura complementar' ModalContent={[<p><li>Clique <a href="https://www.ncbi.nlm.nih.gov/pmc/articles/PMC6123514/" target="_blank">aqui</a> e acesse na íntegra o artigo “Burden of disease in Brazil, 1990–2016: a systematic subnational analysis for the Global Burden of Disease Study 2016”, que trata da carga de doença no Brasil nos anos 1990 e 2016. </li></p>,<p><li>Clique <a href="https://biblioteca.ibge.gov.br/index.php/biblioteca-catalogo?view=detalhes&id=2101678" target="_blank">aqui</a> e acesse o documento “Síntese de indicadores sociais: Uma análise das condições de vida da população brasileira”.</li></p>,]} Id='1' />
        </div>
      </StyledDiv>
    )
  }
}
export default Page
