import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import CaixaDestaqueSimples from '../components/CaixaDestaqueSimples'
import CaixaCitacao from '../components/CaixaCitacao'
import CaixaIcone from '../components/CaixaIcone'





// Styling
const StyledDiv = styled.div`
.caixa {
  margin-top: 2vh;
  margin-bottom: 2vh;
}
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
         <h2>Condições de vida e saúde da população brasileira</h2>
        <div className='page'>
          
          <p>É necessário destacar que os indicadores sociossanitários clássicos dos padrões de morbi-mortalidade e condições de vida são fundamentais, mas insuficientes para contemplar a complexidade intrínseca às necessidades de saúde, que também são satisfeitas no campo da cultura, do desejo, dos projetos, valores individuais e coletivos<Ref Id="17"/>.</p>
 
             <CaixaDestaqueSimples Content={[<p>Espaços de escuta, gestão compartilhada e participação social devem dar conta de capturar a dimensão subjetiva que compõe a experiência de saúde-doença.</p> ]} />
 
                 <p>Reduzir as desigualdades sociais em saúde é uma árdua tarefa, mas deve-se considerar que:</p>
            
                      <CaixaCitacao Content={[<p>“Reconhecer as desigualdades sociais em saúde, buscar compreender os processos que a produzem e identificar os diferentes aspectos que estabelecem a mediação entre processos macrossociais e o perfil epidemiológico dos diferentes grupos sociais é uma condição indispensável para que seja possível buscar formas de enfrentamento”<Ref Id="4"/>.</p> ]} />
                            
          <CaixaIcone type='reflita' title='REFLETINDO' Content={[<p>Observados alguns dados sobre a realidade atual das condições de vida e saúde da população brasileira: é possível que um planejamento em saúde seja efetivo sem considerar essa realidade? Seria efetivo planejar ações e serviços de modo homogêneo em todos os municípios, estados e no país inteiro?</p> ]} />
       
        </div>

      </StyledDiv>
    )
  }
}
export default Page

