import React from 'react'
import styled from 'styled-components'
import CaixaSombreada from '../components/CaixaSombreada'
import CaixaIcone from '../components/CaixaIcone'


// Styling
const StyledDiv = styled.div`
@media screen and (min-width: 900px){ 
  .caixa-icone{
    top: 0vh;
  }
}
.caixa-icones span{
  width: 0vh !important;
}
.citar{
  margin-top: 12%;
}
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Considerações finais</h2>
        <div className='page'>
        <div className="grid-row centro">
            <div className="tamanho10 cima">
              <div>
              <CaixaSombreada Content={[<p>Os dados apresentados sobre as condições de vida e saúde no Brasil explicitam a inviabilidade de planejar as ações e os serviços de saúde sem considerar as especificidades e desigualdades sociais locorregionais. A concretização do conceito ampliado de saúde previsto pelo SUS se dá exatamente quando as decisões de saúde são referenciadas nas pessoas como sujeitos com uma história de vida.</p>, <i><p>Assim, o ponto de partida, o eixo orientador e o ponto de chegada da tomada de decisão na gestão em saúde devem ser as necessidades da população, consideradas sua situação de saúde, condições de vida, trabalho, características culturais e preferências.</p></i>, <p>Já que você compreendeu o processo de tomada de decisão baseado nas necessidades da população, e conheceu um pouco sobre as condições de vida e saúde da população brasileira, reflita sobre como esse processo ocorre em seu município, seja no âmbito das políticas públicas ou no âmbito de sua rotina de trabalho.</p>, <p>Até mais!</p>]} />

            </div>
          </div>
               
        </div>

        <div className="citar">
        <CaixaIcone type=""
                        title="COMO CITAR ESTE MATERIAL"
                        Content={[<p>REIS, R. S. Tomada de decisão na gestão em saúde no SUS e condições de vida e saúde da população brasileira. In: UNIVERSIDADE ABERTA DO SUS. UNIVERSIDADE FEDERAL DO MARANHÃO. Gestão em Saúde. <strong>Organização do SUS.</strong> São Luís: UNA-SUS; UFMA, 2021.</p>]} />
        </div>
        </div>
      </StyledDiv>
    )
  }
}
export default Page

