import React from 'react'
import styled from 'styled-components'
import CaixaSombreadaImg from '../components/CaixaSombreadaImg'
import Ref from '../components/Ref'
import CaixaSombreada from '../components/CaixaSombreada'
import ImagemZoom from '../components/ImagemZoom'

import img1 from './media/images/pag4_img1.png'
import img2 from './media/images/pag4_img2.png'

// Styling
const StyledDiv = styled.div`
.tamanho3 {
  width: 16vh;
}
.tamanho4 {
  width: 16vh;
}
.tamanho7 {
  margin-left: 4%;
}
.tamanho7 {
  width: 77.9% !important;
}
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Tomada de decisão na gestão em saúde</h2>
        <div className='page'>
          <p><strong>Necessidades de saúde da população</strong></p>
          
          <p>A estrutura populacional e o padrão de morbi-mortalidade (ou seja, do que as pessoas adoecem e morrem) permitem conhecer os principais problemas enfrentados, a carga de doença e quem frequentemente os enfrenta. Como base para a compreensão, o reconhecimento e a satisfação das necessidades em saúde, é preciso antes a destituir do caráter linear e pontual do entendimento da saúde e da doença.</p>

          <CaixaSombreadaImg Content={<p>Faz-se necessário compreender esses dois construtos como um processo, que é um produto social e histórico dos indivíduos e das coletividades<Ref Id="3"/>.</p>} src={img1} />

          <p>Conforme a <strong>teoria da determinação social da doença</strong>, sabe-se que existem diferenças no estado de saúde entre grupos populacionais, influenciadas por características sociais e modos de vida (riqueza, ocupação, gênero, etnia, trabalho etc.).</p>

          <CaixaSombreada Content={[
            <div className="grid-row centro">
              <div className="tamanho8 meio">
              <p>A Comissão Nacional de Determinantes Sociais da Saúde escolheu o Modelo de Dahlgren e Whitehead para melhor explicar os elementos que mediam a determinação social da saúde, que vão desde idade e sexo até condições socioeconômicas, culturais e ambientais, e não apenas fatores biológicos. <strong>Clique</strong> na imagem ao lado para ampliar.</p>
            </div>
            <div className="tamanho4 meio">
              <ImagemZoom src={img2} />
            </div>
            </div>
          ]} />
        
        </div>
      </StyledDiv>
    )
  }
}
export default Page
