import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import CaixaIcone from '../components/CaixaIcone'
import CaixaDestaqueSimples from '../components/CaixaDestaqueSimples'
import ModalBtn from '../components/ModalBtn'

import img1 from './media/images/pag5_img1.png'


// Styling
const StyledDiv = styled.div`
    
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Tomada de decisão na gestão em saúde</h2>
        <div className='page'>
          <p><strong>Necessidades de saúde da população</strong></p>
          
          <p>As diferenças entre os grupos populacionais são denominadas desigualdades sociais em saúde, quando associadas a características sociais que colocam determinados grupos em desvantagem em relação a outros no que concerne à oportunidade de se manter sadio<Ref Id="4"/>.</p>
 
             <CaixaIcone type='importante' title='IMPORTANTE' Content={[<p>Deve-se entender desigualdade social como situações que implicam algum grau de injustiça. Ademais, os mesmos processos que estruturam a organização da sociedade são também os que geram desigualdades sociais e produzem perfis epidemiológicos de saúde e doença<Ref Id="4"/>.</p> ]} />

                        <div className="grid-row centro">
                            <div className="tamanho7 meio">
                              <div>
                              <p>Tomar decisões a partir das necessidades da população de determinado território pressupõe conhecer a situação de saúde, seus valores e preferências. A partir disso deve-se implementar ações que interfiram também nos determinantes das condições de saúde, não somente na doença<Ref Id="2"/>.</p>
                              </div>
                              
                            </div>
                        <div className="tamanho3 meio">
                          <div><img src={img1}/></div>
                      </div>
                    </div>

                  <p>Revela-se a importância da atuação intersetorial do SUS, que deve se concretizar em ações conjuntas com outros setores governamentais, como meio ambiente, educação, urbanismo etc., que possam contribuir direta ou indiretamente para a promoção de melhores condições de vida e de saúde para a população.</p>
          
                  <ModalBtn BtnType='complementar' BtnText='LEITURA COMPLEMENTAR' ModalTitle='Leitura complementar' ModalContent={["Leia o artigo “Promoção da saúde na Atenção Primária à Saúde: sistematização de desafios e estratégias intersetoriais”, que analisa desafios e estratégias para a implementação da intersetorialidade. Acesse a publicação ", <a href="https://www.scielo.br/scielo.php?script=sci_arttext&pid=S0103-11042018000500379&lng=pt&tlng=pt" target="_blank">aqui</a>,"."]} Id='1' />
        
        </div>
      </StyledDiv>
    )
  }
}
export default Page
