import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import CaixaIcone from '../components/CaixaIcone'
import CaixaCitacao from '../components/CaixaCitacao'


import img1 from './media/images/pag6_img1.png'
import img2 from './media/images/pag6_img2.png'


// Styling
const StyledDiv = styled.div`
    .tamanho3{
      width: 25% !important;
    }
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Condições de vida e saúde da população brasileira</h2>
        <div className='page'>
          
          <p>A tomada de decisão na gestão diz respeito ao atendimento das necessidades de saúde da população, referenciadas pelas suas condições ou situação de saúde.</p>
 
          <div className="grid-row centro">
            <div className="tamanho5" >
              <div><img src={img2}/></div>
            </div>
            <div className="tamanho3" >
              <div><img src={img1}/></div>
            </div>
          </div>
         
          <CaixaCitacao Content={[<p>“As condições de saúde podem ser definidas como as circunstâncias na saúde das pessoas que se apresentam de forma mais ou menos persistentes e que exigem respostas sociais reativas ou proativas, episódicas ou contínuas e fragmentadas ou integradas, dos sistemas de atenção à saúde, dos profissionais de saúde e das pessoas usuárias<Ref Id="5"/>”.</p> ]}/>
          <CaixaIcone type='importante' title='IMPORTANTE' Content={[<p>O entendimento de “condição de saúde” incorpora certos estados fisiológicos, como a gravidez e os acompanhamentos dos ciclos de vida, como o acompanhamento das crianças, dos adolescentes e das pessoas idosas, que não são doenças, mas são de responsabilidade dos sistemas de atenção à saúde. Portanto, não se deve confundir condições de saúde com doenças.</p> ]} />
        
        </div>
      </StyledDiv>
    )
  }
}
export default Page
