import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import CaixaColorida from '../components/CaixaColorida'
import AreaDestaque from '../components/AreaDestaque'


import img1 from './media/images/pag8_img1.png'



// Styling
const StyledDiv = styled.div`
.centro {
  width: 100% !important;
}
.caixa-colorida .ref{
  color: #fff !important;
}
#marker1{
  left: 18%;
  top: 60%;
}
#marker2{
  left: 60%;
  top: 40%;
}
.jJAzoG {
  width: 79% !important;
  margin: auto;
}
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Condições de vida e saúde da população brasileira</h2>
        <div className='page'>
          
          <p>No gráfico a seguir, a linha inferior horizontal indica os anos, e a linha que está na vertical indica a proporção de mortes por tipo de causa<Ref Id="2"/>. Veja nos botões a evolução dos óbitos ao longo dos anos.</p>
          
          <div className="grid-row">
          <div className="centro">
          <AreaDestaque Image={img1} Content={['A proporção de mortes por doenças infecciosas caiu de 46% para 5% de 1930 até o ano 2000.', 'De 1930 até os anos 2000 as mortes por doenças cardiovasculares quase que triplicaram, saindo de 12% para 30%.']} />
          </div>
          </div>

          <CaixaColorida Content={[<p>A resposta adequada e oportuna a essa situação exige a reorganização da atenção à saúde, com o envolvimento de várias categorias profissionais e o protagonismo dos indivíduos, famílias e comunidades, bem como com a integração da Rede de Atenção em Saúde (RAS) nos seus diferentes pontos de atenção. Somente assim será possível uma abordagem efetiva<Ref Id="6"/>.</p> ]}/>
        
        </div>
      </StyledDiv>
    )
  }
}
export default Page
