import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import CaixaDestaqueSimples from '../components/CaixaDestaqueSimples'
import CaixaComparacao from '../components/CaixaComparacao'

import img1 from './media/images/pag9_img1.png'
import img2 from './media/images/pag9_img2.png'

// Styling
const StyledDiv = styled.div`
.caixa {
  margin-top: 2vh;
}
.lado-default > h4 {
  top: 82%;
}
#marker1{
  left: 12%;
  top: 40%;
}
#marker2{
  left: 30%;
  top: 26%;
}

  
 
.espaco{
  margin-top: 1vh !important;
}
.referencia > p {
  text-align: center;
  width: 70%;
  margin: auto;
  @media (max-width: 100vh) {
    width: 98%;
  }
  font-size: 1.7vh !important;
}
   
  
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
         <h2>Condições de vida e saúde da população brasileira</h2>
        <div className='page'>
          
          <p>Paralela à situação das doenças crônicas, ocorre no Brasil uma transição demográfica acelerada, caracterizada pelo rápido envelhecimento populacional, resultado da redução da taxa de fecundidade e do aumento da expectativa de vida<Ref Id="7"/>. O reflexo disso é o incremento da carga de doenças crônicas, que são mais frequentes na população mais velha<Ref Id="2"/>.</p>
 
             <CaixaDestaqueSimples Content={[<p>A expectativa de vida ao nascer aumentou de 68,4 anos em 1990 para 75,2 anos em 2016<Ref Id="8"/>.</p> ]} />
                            
          <p>Veja no gráfico a seguir a pirâmide etária do Brasil nos anos 2005 e 2030<Ref Id="2"/>. A linha vertical indica as faixas etárias de modo crescente de baixo para cima. <strong>Clique</strong> e compare as pirâmides:</p>
        <div className="grid-row espaco">
          <CaixaComparacao Content={[
            { src: img1, title: '2005', text: [<p><strong>2005</strong></p>, <p>No ano de 2005 o topo da pirâmide era estreito e a base larga, indicando  uma população jovem e poucos idosos com mais de 60 anos.</p>] },
            { src: img2, title: '2030', text: [<p><strong>2030</strong></p>, <p>No ano de 2030 se prevê a reconfiguração da pirâmide, de modo que seu topo ficará alargado, em formato típico de populações envelhecidas.</p>] }
          ]} />
        </div>
       
          
            
            <div className="referencia"><p>G. Imagem adaptada de IBGE. Diretoria de Pesquisas, Coordenação de População e Indicadores Sociais, Gerência de Estudos e Análises da Dinâmica Demográfica. 2016. Disponível em: <a href="https://biblioteca.ibge.gov.br/visualizacao/livros/liv98635.pdf" target="_blank">https://biblioteca.ibge.gov.br/visualizacao/livros.pdf</a></p></div>
            </div>
          
         
        
      </StyledDiv>
    )
  }
}
export default Page
